#ifndef __TVGUIDE_TIMELINE_H
#define __TVGUIDE_TIMELINE_H

#include "timemanager.h"
#include "styledpixmap.h"

// --- cTimeLine  -------------------------------------------------------------

class cTimeLine  {
private:
    cTimeManager *timeManager;
    cStyledPixmap *dateViewer;
    cPixmap *timeline;
    cStyledPixmap *clock;
    cPixmap *timeBase;
    cString lastClock;
    void decorateTile(int posX, int posY, int tileWidth, int tileHeight);
    void drawRoundedCorners(int posX, int posY, int width, int height, int radius);
    cImage *createBackgroundImage(int width, int height, tColor clrBgr, tColor clrBlend);
public:
    cTimeLine(cTimeManager *timeManager);
    virtual ~cTimeLine(void);
    void setTimeline(void);
    void drawDateViewer(void);
    void drawTimeline(void);
    void drawCurrentTimeBase(void);
    bool drawClock();
};

#endif //__TVGUIDE_TIMELINE_H
